/**
 * find an object from a list
 *
 * @param list value list
 * @param fn find function
 */
export declare function find<T>(list: T[], fn: (one: T, index: number, origin: T[]) => boolean): T | null;
/**
 * find an object from a map
 *
 * @param list value map
 * @param fn find function
 */
export declare function find<K, V>(map: Map<K, V>, fn: (one: [K, V], index: number, origin: Map<K, V>) => boolean): [K, V] | null;
/**
 * find an object from a object
 *
 * @param list value object
 * @param fn find function
 */
export declare function find<T extends object>(data: T, fn: (one: [string, any], index: number, origin: T) => boolean): [string, T] | null;
export declare function arrayFind<T>(data: T[], fn: (one: T, index: number, origin: T[]) => boolean): T | null;
export declare function mapFind<K, V>(data: Map<K, V>, fn: (one: [K, V], index: number, origin: Map<K, V>) => boolean): [K, V] | null;
export declare function objectFind<T extends object>(data: T, fn: (one: [string, any], index: number, origin: T) => boolean): [string, T] | null;
